ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

Which version of Ubuntu should I use to install Autoware?

Hi there,

I am very new to Autoware and also Ubuntu. Now I have Ubuntu 18.04 installed on my laptop and I am trying to install Autoware by follow the instruction described in https://github.com/autowarefoundation/autoware/wiki/Generic-x86-Docker, Unfortunately, I still cannot install it on my computer. I did the CE docker Installation but I stuck in the Nvidia docker setup. I also try to skip this step by moving to the next step and I also found that I got syntax error in the Autoware Docker setup step ($ sudo sh run.sh ).
Could anyone please help me what is the version of Ubuntu that suit for the Autoware and also do you have the guide for Autoware installation other than those provided in the Autoware github?

Sincerely yours
Phuris Khunphakdee

If you want to install Autoware without using Docker, then you must use Ubuntu 16.04 and ROS Kinetic.

If you are using Docker then the version of Ubuntu your computer runs should not matter.

If you are having problems using Docker, then giving details of the problems you are having, including error messages, will enable us to help you more.

@Phuris you need to install Docker CE and Nvidia Docker v2. I’d ssuggest following the official instructions in case the Autoware Wiki is not up to date.